/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

// This method is invoked after loading the main HTML and successful initialization of the Worklight runtime.
function wlEnvInit(){
    wlCommonInit();
    // Environment initialization code goes here
}

function greetMe(){
	window.plugins.helloWorldPlugin.sayHello(sayHelloSuccess, sayHelloFailure, $("#NameInput").val());
}

function sayHelloSuccess(data){
	alert("OK : " + data);
	WL.Logger.debug("OK : " + data);
}

function sayHelloFailure(data){
	alert("FAIL : " + data);
	WL.Logger.debug("FAIL : " + data);
}

function HelloWorldPlugin(){

}

HelloWorldPlugin.prototype.sayHello = function(onSayHelloSuccess, onSayHelloFailure, name){
	cordova.exec(onSayHelloSuccess, onSayHelloFailure, "WindowsPhone8CordovaPlugin.HelloWorldPlugin", "sayHello", [name]);
};

cordova.addConstructor(function() {
	if (!window.plugins) window.plugins = {};
	window.plugins.helloWorldPlugin = new HelloWorldPlugin();
});